Bug 23352 - kernel-2.2.17-6.i386.rpm chokes - too many symbols for depmod
Summary: kernel-2.2.17-6.i386.rpm chokes - too many symbols for depmod
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-04 22:01 UTC by Bryce Nesbitt
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 23:13:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryce Nesbitt 2001-01-04 22:01:14 UTC
[root@hardhat /tmp]# rpm -i kernel-2.2.17-6.i386.rpm 
depmod: depmod.c:575: addksyms: Assertion `n_syms < 10000' failed.
var/tmp/rpm-tmp.32196: line 5: 11488 Aborted                 (core dumped)
depmod -a -i -m /boot/System.map-2.2.17-6 2.2.17-6


[root@hardhat /tmp]# rpm -i -q -p kernel-2.2.17-6.i386.rpm 
Name        : kernel                       Relocations: (not relocateable)
Version     : 2.2.17                            Vendor: Red Hat, Inc.
Release     : 6                             Build Date: Mon 30 Oct 2000
05:32:59 PM PST
Install date: (not installed)               Build Host:
porky.devel.redhat.com
Group       : System Environment/Kernel     Source RPM:
kernel-2.2.17-6.src.rpm
Size        : 16467634                         License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Linux kernel (the core of the Linux operating system).
Description :
The kernel package contains the Linux kernel (vmlinuz), the core of your
Red Hat Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

Comment 1 Bill Nottingham 2001-01-04 22:21:27 UTC
What version of modutils do you have installed?

Comment 2 Bryce Nesbitt 2001-01-05 21:54:05 UTC
This was a stock RH7.0 install, before I had to upgrade the kernel:

[bryce@hardhat bryce]# rpm -q modutils
modutils-2.3.14-3

I eventually copied RedHat's .config file and compiled my own 2.2.18 kernel. 
Worked great.



Note You need to log in before you can comment on or make changes to this bug.